import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../utils/getRoleFromUrl";

export const getRequestsAwaitingPayment = createAsyncThunk(
  "GET_REQUESTS_AWAITING_PAYMENT",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("province_factor_to_kill_house/", {
      params: { role: getRoleFromUrl() },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
